component extends="preside.system.base.AdminHandler" {

	public void function index( event, rc, prc ) {
		prc.pageTitle    = translateResource( "plausible:page.title" );
		prc.pageSubTitle = translateResource( "plausible:page.subtitle" );
		prc.pageIcon     = translateResource( "plausible:page.icon" );

		prc.plausibleSharedLink = getSystemSetting( "plausible", "shared_link" );

		if ( !Len( prc.plausibleSharedLink ) ) {
			setNextEvent( url=event.buildAdminLink( linkTo="sysconfig.category", querystring="id=plausible" ) );
		}

		event.addAdminBreadCrumb(
			  title = translateResource( "plausible:breadcrumb.title" )
			, link  = event.buildAdminLink( linkTo="plausible" )
		);
	}

}