component extends="coldbox.system.Interceptor" {

	property name="baseHref" inject="coldbox:setting:plausible.baseHref";

	public void function configure() {}

	public void function postLayoutRender( event, rc, prc, interceptData={} ) {
		var layout  = trim( interceptData.layout ?: "" );
		var domain  = getSystemSetting( "plausible", "domain" );
		var enabled = getSystemSetting( "plausible", "enabled", true );

		if ( !event.isAdminRequest() && Len( layout ) && Len( domain ) && isTrue( enabled ) ) {
			var jsSnippet = '<script defer data-domain="#domain#" data-api="#baseHref#/api/event" src="#baseHref#/js/script.js"></script>';

			interceptData.renderedLayout = ( interceptData.renderedLayout ?: "" ).reReplaceNoCase( "</head>", "#jsSnippet##chr( 10 )#</head>" );
		}
	}
}